Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am trying to set up a new Amazon EC2 instance (never done it before) and I'm stuck at getting Node.js working with OpenSSL.

First I installed it without OpenSSL just to see if I could, works fantastically. Then I went back and downloaded OpenSSL 1.0.0d (marked as latest) and ran make and make install and it ran fine, but then I went back to run make on Node again and I get this message:

Checking for program g++ or c++          : /usr/bin/g++
Checking for program cpp                 : /usr/bin/cpp
Checking for program ar                  : /usr/bin/ar
Checking for program ranlib              : /usr/bin/ranlib
Checking for g++                         : ok
Checking for program gcc or cc           : /usr/bin/gcc
Checking for program ar                  : /usr/bin/ar
Checking for program ranlib              : /usr/bin/ranlib
Checking for gcc                         : ok
Checking for library dl                  : yes
Checking for openssl                     : not found
Checking for function SSL_library_init   : not found
Checking for header openssl/crypto.h     : not found
/opt/node-v0.5.0/wscript:319: error: Could not autodetect OpenSSL support. Make sure OpenSSL development packages are installed. Use configure --without-ssl to disable this message.

That's the exact same message I got before I did a successful install of OpenSSL 1.0.0d.

I am an amateur at linux in knowledge but feel comfortable enough in it.

Ran make test on OpenSSL and got All tests successful

share|improve this question
    
I think it might have something to do with libssl-dev? It's a prerequisite but I have no idea how to see if it is installed and I don't have apt-get to install it (in fact I don't even know what version of linux my ec2 instance is using) –  James P. Wright Jul 14 '11 at 5:02
add comment

1 Answer

Believe I figured it out. Amazon EC2 instances are running on CentOS which uses libssl-devel vs libssl-dev (notice the el at the end of the first one).

Looks to be working on the make correctly now!

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.